eID middleware |

# eIDMW::PTEID_ExCardBadType Class Reference

Exception class Bad Card Type (error code = EIDMW_ERR_CARDTYPE_BAD). More...

`#include <eidlibException.h>`

Inheritance diagram for eIDMW::PTEID_ExCardBadType:

List of all members.

## Public Member Functions
PTEIDSDK_API | PTEID_ExCardBadType ()
| Constructor.
virtual PTEIDSDK_API | ~PTEID_ExCardBadType ()
| Destructor.

## Detailed Description

Exception class Bad Card Type (error code = EIDMW_ERR_CARDTYPE_BAD).

Throw when the card type doesn't correspond to what is asked Used in : - PTEID_ReaderContext::getEIDCard()

- PTEID_ReaderContext::getKidsCard()
- PTEID_ReaderContext::getForeignerCard()
- PTEID_ReaderContext::getSISCard()

## Constructor & Destructor Documentation

PTEIDSDK_API eIDMW::PTEID_ExCardBadType::PTEID_ExCardBadType | ( |  | ) |

Constructor.

virtual PTEIDSDK_API eIDMW::PTEID_ExCardBadType::~PTEID_ExCardBadType | ( |  | ) | `[virtual]`

Destructor.

The documentation for this class was generated from the following file:

- eidlibException.h